#!/usr/bin/python3
import requests
import json

tvheadend_ip="127.0.0.1"
tvheadend_port="9981"
tvheadend_user="USERNAME TO READ TVHEADEND" #Must have permission to read/write DVR entries
tvheadend_pass="USERNAME TO READ TVHEADEND"

def cancel_recording(title):
	#Use Tvheadend API to stop recording based on Title and Subtitle.
	tvheadend_response = requests.get("http://%s:%s/api/dvr/entry/grid_upcoming" % (tvheadend_ip, tvheadend_port), auth=(tvheadend_user, tvheadend_pass))
	tvheadend_json = json.loads(tvheadend_response.text)
	for dvr_entry in tvheadend_json["entries"]:
		if str(dvr_entry["disp_title"]) == title:
			#If matching display title is found, remove recording from DVR entries by matching recording uuid.
			tvheadend_response = requests.get("http://%s:%s/api/dvr/entry/remove" % (tvheadend_ip, tvheadend_port), auth=(tvheadend_user, tvheadend_pass), params={"uuid":dvr_entry["uuid"]})
			print ("Recording found in DVR list, entry removed.")
	return ("Recording attemped to be removed.")